Subject: Re: bug#73766: 30.0.91; (documentation 'pcase) can take several seconds

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Oct 2024 21:35:05 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 18 Oct 2024 13:04:54 -0400
> 
> > I'd prefer the last alternative for emacs-30, but then you say:
> 
> Thanks, will do.
> 
> >> There's still a remaining performance issue for things like
> >> `eldoc-mode`, admittedly where we'd really want it to be instantaneous,
> >> but I think this should be fixed by making `eldoc` call `documentation`
> >> in a special way to skips those useless computations (eldoc just wants
> >> a "short doc" anyway).  This affects other functions using the
> >> `function-documentation` property in a similar way.
> > Does it mean that this slowdown of eldoc was also caused by commit
> > 052c2ce0284c5193c9d6768a45a9b3508af51230, and if so, does the patch
> > you've shown previously (and which you consider not safe enough for
> > emacs-30) solve the eldoc slowdown as well?
> 
> What I meant is that the 4s slowdown affects both `C-h f` and eldoc,
> and that the patch I sent which reduces it to 0.12s is IMO sufficient
> for the `C-h f` case but may still make Emacs feel occasionally a bit
> sluggish when eldoc hits this 0.12s.

If the slowdown of eldoc is significant, maybe we will be better with
reverting the change which introduced the regression on emacs-30, and
then solving on master with your more thorough fix.